complexType "ccmsk:CallTypeParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/msk
Content: | complex, 10 attributes, 20 elements
Defined: | globally in ccmsk.xsd, see XML source
Includes: | definitions of 9 attributes and 19 elements
Used: | at 2 locations

XML Representation Summary
<...
| checkAgentsForTransfer | = | xsd:boolean : "false"
| conferenceTimesMult | = | xsd:double : "1"
| name | = | xsd:string
| preServiceTimesNoConfMult | = | xsd:double : "1"
| serviceTimesMult | = | xsd:double : "1"
| transferTimesMult | = | xsd:double : "1"
| virtualQueueTargetType | = | xsd:int
| waitingTimeDefaultVQ | = | xsd:double : "0"
| weight | = | xsd:double : "1"
| windowSizeVQ | = | xsd:int : "1"
| >
Content: | properties?, weightPeriod?, probAbandon?, patienceTime?, serviceTime*, conferenceTime*, preServiceTimeNoConf*, serviceTimesMultTransfer?, transferTime*, probTransfer?, probTransferWait?, transferTarget*, expectedWaitingTimeThresh?, expectedWaitingTimesMult?, probVirtualQueue?, probVirtualQueueCallBack?, patienceTimesMultNoVirtualQueue?, patienceTimesMultCallBack?, serviceTimesMultNoVirtualQueue?, serviceTimesMultCallBack?
</...>

Content Elements (20):

  conferenceTime (type ccmsk:ServiceTimeParams), expectedWaitingTimesMult (type ssj:nonNegativeDoubleList), expectedWaitingTimeThresh (type ssj:nonNegativeDurationList), patienceTime (type cc:MultiPeriodGenParams), patienceTimesMultCallBack (type ssj:nonNegativeDoubleList), patienceTimesMultNoVirtualQueue (type ssj:nonNegativeDoubleList), preServiceTimeNoConf (type ccmsk:ServiceTimeParams), probAbandon (type ssj:double01iList), probTransfer (type ssj:DoubleArray), probTransferWait (type ssj:DoubleArray), | probVirtualQueue (type ssj:double01iList), probVirtualQueueCallBack (type ssj:double01iList), properties (type ssj:PropertiesParams), serviceTime (type ccmsk:ServiceTimeParams), serviceTimesMultCallBack (type ssj:DoubleArray), serviceTimesMultNoVirtualQueue (type ssj:DoubleArray), serviceTimesMultTransfer (type ssj:DoubleArray), transferTarget (type ccmsk:ProducedCallTypeParams), transferTime (type ccmsk:ServiceTimeParams), weightPeriod (type ssj:nonNegativeDoubleList)

Known Direct Subtypes (2):

  ccmsk:InboundTypeParams, ccmsk:OutboundTypeParams

All Direct / Indirect Based Elements (2):

  inboundType (type ccmsk:InboundTypeParams), | outboundType (type ccmsk:OutboundTypeParams)

Known Usage Locations

- In derivations of other global types (2):

  ccmsk:InboundTypeParams (as extension base), | ccmsk:OutboundTypeParams (as extension base)

Annotation
Represents the parameters common for inbound and outbound call types, used by blend/multi-skill call center models. These include, in particular, a name used in reports, properties which can be used by programs extending the simulator, the distribution of the patience and service times, parameters for call transfers, and parameters for call backs, etc. The name is set using the `name` attribute while properties are set using the `properties` element.

The required elements to enable call transfers for a given call type is `probTransfer` and `transferTarget.` The needed elements and attributes for enabling call backs is `probVirtualQueue,` `expectedWaitingTimeThresh,` and `virtualQueueTargetType.`

Type Definition Detail

Type Derivation Tree ssj:Named ccmsk:CallTypeParams (extension)

XML Source (w/o annotations (29); see schema source)

<xsd:complexType abstract="true" name="CallTypeParams"> <xsd:complexContent> <xsd:extension base="ssj:Named"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="0" name="weightPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probAbandon" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="patienceTime" type="cc:MultiPeriodGenParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="serviceTime" type="ccmsk:ServiceTimeParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="conferenceTime" type="ccmsk:ServiceTimeParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="preServiceTimeNoConf" type="ccmsk:ServiceTimeParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultTransfer" type="ssj:DoubleArray"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="transferTime" type="ccmsk:ServiceTimeParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probTransfer" type="ssj:DoubleArray"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probTransferWait" type="ssj:DoubleArray"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="transferTarget" type="ccmsk:ProducedCallTypeParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="expectedWaitingTimeThresh" type="ssj:nonNegativeDurationList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="expectedWaitingTimesMult" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probVirtualQueue" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probVirtualQueueCallBack" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="patienceTimesMultNoVirtualQueue" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="patienceTimesMultCallBack" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultNoVirtualQueue" type="ssj:DoubleArray"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultCallBack" type="ssj:DoubleArray"> </xsd:element> </xsd:sequence> <xsd:attribute default="1" name="weight" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="serviceTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="conferenceTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="preServiceTimesNoConfMult" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="transferTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="false" name="checkAgentsForTransfer" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="0" name="waitingTimeDefaultVQ" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="windowSizeVQ" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute name="virtualQueueTargetType" type="ssj:nonNegativeInt"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
checkAgentsForTransfer

  Determines if the target call type for transfer takes the presence of agents in agent groups into account when determining the type of a new call. When this attribute is set to `true,` each time a call of the described type is transferred to another agent group, the probability of occurrence for target call type `k'` is reset to 0 if no idle or busy agents capable of serving calls of type `k'` is present. Probabilities for other call types are divided by the sum of remaining probabilities. Consequently, the target call type for transfer is `k'` only if such calls can be routed to an agent, possibly after some waiting time. However, this check imposes additional overhead for every processed call. When this attribute is disabled, the call may be transferred to agent group even if no connected agent can serve it.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="checkAgentsForTransfer" type="xsd:boolean"> </xsd:attribute>

conferenceTimesMult

  Determines the factor by which each conference time is multiplied. This parameter can be used to globally change conference times for this call type. Its default value is 1, which results in no conference time perturbation.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="conferenceTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

preServiceTimesNoConfMult

  Determines the factor by which each pre-service time is multiplied. This parameter can be used to globally change pre-service times for this call type. Its default value is 1, which results in no pre-service time perturbation.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="preServiceTimesNoConfMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

serviceTimesMult

  Determines the factor by which each service time is multiplied. This parameter can be used to globally change service times for this call type. Its default value is 1, which results in no service time perturbation.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="serviceTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

transferTimesMult

  Determines the factor by which each transfer time is multiplied. This parameter can be used to globally change transfer times for this call type. Its default value is 1, which results in no transfer time perturbation.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="transferTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

virtualQueueTargetType

  Determines the target call type identifier for virtual queueing. When a call is sent to a virtual queue for later callback, its type is switched to a different virtual type in order to have separate routing logic and statistics for calls waiting in virtual queue. Omitting the virtual call type index for a call type disables virtual queueing for that call type.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="virtualQueueTargetType" type="ssj:nonNegativeInt"> </xsd:attribute>

waitingTimeDefaultVQ

  Initial default waiting time used for virtual queueing. This value is used to initialize the expected waiting time for the `k` previous contacts before the first contact at the beginning of the day. In order to predict the expected waiting time for new contacts, one uses the average of the waiting time of the `k` previous contacts (see windowSizeVQ).

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="waitingTimeDefaultVQ" type="ssj:nonNegativeDouble"> </xsd:attribute>

weight

  Determines the weight associated with this call type. The weight, which measures the importance of this call type relative to the others, can be used by some routing policies, and optimization algorithms.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="weight" type="ssj:nonNegativeDouble"> </xsd:attribute>

windowSizeVQ

  Number of previous contacts used to predict the expected waiting time for virtual queueing. If this parameter is `k`, then the average of the waiting time of the `k` previous contacts is used as the expected waiting time predictor for new contacts. By default, the window size is 1, i.e., only the waiting time of the last contact is used to predict the expected waiting time for new arrivals.

  Type: | ssj:positiveInt
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="windowSizeVQ" type="ssj:positiveInt"> </xsd:attribute>

Content Element Detail (defined in this component only)
conferenceTime

  Determines the distribution of the conference times for calls of this type. Conference times are specified in a way similar to service times (see the preceding element `serviceTime),` but they are used only when an agent transferred a call to another agent. This conference time represents the time spent by the primary agent with the secondary agent, and adds up to the regular service time. The multipliers for conference times are applied in a way similar to service times, except that the attribute name for the multipliers is `conferenceTimesMult.`

  Type: | ccmsk:ServiceTimeParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="conferenceTime" type="ccmsk:ServiceTimeParams"> </xsd:element>

expectedWaitingTimeThresh

  Determines the minimal expected waiting time for a customer to be offered the option to be called back. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives a threshold for main period p. If the array is omitted, the default threshold of infinity is used, which disables call backs for this call type.

  Type: | ssj:nonNegativeDurationList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="expectedWaitingTimeThresh" type="ssj:nonNegativeDurationList"> </xsd:element>

expectedWaitingTimesMult

  Determines the factor multiplying the expected waiting time when determining how long a customer will wait in virtual queue before it is called back. The time spent in virtual queue is W*m, where W is the expected waiting time, and m is the multiplier. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives a multiplier for main period p. If the array is omitted, the default multiplier of 1 is used.

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="expectedWaitingTimesMult" type="ssj:nonNegativeDoubleList"> </xsd:element>

patienceTime

  Determines the distribution and random variate generator for the patience times of calls of this type. If this element is not specified, the patience times are infinite. If, in addition, the probabilities of balking, given by `probAbandon,` are also 0, or if `probAbandon` is omitted, this results in disabled abandonment for this call type.

  Each generated patience time is multiplied by a local factor given by the `mult` attribute, and by a global factor given by the `patienceTimesMult` attribute in `MSKCCParams.` Both multipliers default to 1.

  Type: | cc:MultiPeriodGenParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="patienceTime" type="cc:MultiPeriodGenParams"> </xsd:element>

patienceTimesMultCallBack

  Determines the patience time multiplier for customers in the virtual queue but joining the regular queue because there is no agent at the time they are called back. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives the multiplier for main period p. If the array is omitted, the default multiplier of 1 is used.

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="patienceTimesMultCallBack" type="ssj:nonNegativeDoubleList"> </xsd:element>

patienceTimesMultNoVirtualQueue

  Determines the multiplier for the patience time of customers refusing to join the virtual queue. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives the multiplier for main period p. If the array is omitted, the default multiplier of 1 is used.

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="patienceTimesMultNoVirtualQueue" type="ssj:nonNegativeDoubleList"> </xsd:element>

preServiceTimeNoConf

  Determines the distribution of the pre-service times for calls of this type. Pre-service times are specified in a way similar to service times (see the preceding element `serviceTime),` but they are used only when an agent transferred a call to another agent, and did not wait to talk with the secondary agent. This pre-service time represents the time spent by the caller with the secondary agent explaining its problem. and adds up to the regular service time. The multipliers for pre-service times are applied in a way similar to service times, except that the attribute name for the multipliers is `preServiceTimesNoConfMult.`

  Type: | ccmsk:ServiceTimeParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="preServiceTimeNoConf" type="ccmsk:ServiceTimeParams"> </xsd:element>

probAbandon

  Determines the probability of immediate abandonment, for each main period. If this array is omitted, balking does not occur. If this array contains a single element, the given probability of balking is used for all periods. Otherwise, a probability is needed for each main period in the model.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probAbandon" type="ssj:double01iList"> </xsd:element>

probTransfer

  Gives a I x P matrix of probabilities of transfer. Each element (i, p) of this matrix gives the probability an agent in group i transfers a call arrived during period p to another agent. If this element is omitted, a default probability of transfer of 0 is assumed, i.e., there is no transfer of calls of the described type to any secondary agents. If this 2D array contains a single element, the given probability is used for all agent groups, and all main periods. If the array contains a single row or column, the row or column is repeated as needed.

  Type: | ssj:DoubleArray, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probTransfer" type="ssj:DoubleArray"> </xsd:element>

probTransferWait

  Gives a I x P matrix of probabilities that the primary agent in group i waits until the transferred call arrived during main period p reaches a secondary agent or abandons, before the primary agent gets free. If this element is omitted, a default probability of waiting of 0 is assumed, i.e., the primary agent is always freed after the call is transferred. If this 2D array contains a single element, the given probability is used for all agent groups, and all main periods. If the array contains a single row or column, the row or column is repeated as needed.

  Type: | ssj:DoubleArray, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probTransferWait" type="ssj:DoubleArray"> </xsd:element>

probVirtualQueue

  Determines the probability that a customer accepts to join the virtual queue, and be called back at a later time, provided that the customer is offered the option to be called back. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives the probability for main period p. If the array is omitted, the default probability of 0 is used, which disables virtual queueing.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probVirtualQueue" type="ssj:double01iList"> </xsd:element>

probVirtualQueueCallBack

  Determines the probability of success when calling back a customer in the virtual queue. When the call back succeeds, the customer is sent to an agent, or to another waiting queue if no agent is available. If this array contains a single value, the given value is used for all main periods. Otherwise, value p of the array gives the probability for main period p. If the array is omitted, the default probability of 1 is used.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probVirtualQueueCallBack" type="ssj:double01iList"> </xsd:element>

serviceTime

  Determines the distribution of the service times for calls of this type. Each occurrence of this element with the `group` attribute set specifies the service times of calls of this type, if served by an agent in a specific group. If the `group` attribute is omitted in a `serviceTime` element, this gives the default service time used if no group-specific service time is given. Although this element can appear more than once for a single call type, each occurrence of this element must have a `group` attribute with a different value, possibly with one occurrence omitting the `group` attribute.

  Each generated service time is multiplied by a local factor given by the `mult` attribute, a call-type specific factor given by `serviceTimesMult,` and a global factor given by `serviceTimesMult` attribute from `MSKCCParams.` All these multipliers default to 1.

  Type: | ccmsk:ServiceTimeParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="serviceTime" type="ccmsk:ServiceTimeParams"> </xsd:element>

serviceTimesMultCallBack

  Determines the service time multiplier for customers called back. If this matrix contains a single value, the given value is used for all main periods. If the matrix contains a single row or column, the row or column is duplicated as needed. If this element is omitted, the default multiplier of 1 is used.

  Type: | ssj:DoubleArray, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultCallBack" type="ssj:DoubleArray"> </xsd:element>

serviceTimesMultNoVirtualQueue

  Determines the multiplier for the service time of customers refusing to join the virtual queue. This element determines a I x P matrix giving the multiplier for each agent group and main period. If this matrix contains a single value, the given value is used for all agent groups and main periods. If the matrix contains a single row or column, the row or column is duplicated as needed. If this element is omitted, the default multiplier of 1 is used.

  Type: | ssj:DoubleArray, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultNoVirtualQueue" type="ssj:DoubleArray"> </xsd:element>

serviceTimesMultTransfer

  Determines the service time multiplier for customers transferred to another agent after the service. This multiplier affects the service time with the primary agent, before the call transfer occurs, and is applied in addition to the regular service time multiplier given by the `serviceTimesMult` attribute. The given 2D array corresponds to a I x P matrix giving a multiplier for each agent group and main period. If this 2D array contains a single value, the given value is used for all agent groups and main periods. If the array contains a single row or column, the row or column is repeated as needed. If this element is omitted, the default multiplier of 1 is used.

  Type: | ssj:DoubleArray, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMultTransfer" type="ssj:DoubleArray"> </xsd:element>

transferTarget

  Determines the possible type identifiers of the new (virtual) call which is created when a call is transferred by an agent to another agent. Each occurrence of this element also assiciates a probability of transfer with each call type. If this element is omitted, no call transfer can occur for the described call type.

  Type: | ccmsk:ProducedCallTypeParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="transferTarget" type="ccmsk:ProducedCallTypeParams"> </xsd:element>

transferTime

  Determines the distribution of the transfer times for calls of this type. A transfer time occurs when an agent transfers a call to another agent. It can represent, e.g., the delay needed to dial a phone number. If this element is omitted, no transfer delay occurs during a transfer. The multipliers for transfer times are applied in a way similar to service times, except that the attribute name for the multipliers is `transferTimesMult.`

  Type: | ccmsk:ServiceTimeParams, complex content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="transferTime" type="ccmsk:ServiceTimeParams"> </xsd:element>

weightPeriod

  Determines the weight of this call type during individual main period. If this element contains a single value, the value is used for all main periods. If this element is omitted, the weight for any period is the value given by the attribute `weight.`

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:CallTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="weightPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com